'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;
const ACTIONS = {
  'LOGIN': 1,
  'CHANGE_PWD': 2
};

function _default(app) {
  app.use(async function logFn(ctx, next) {
    ctx.log = async (user_id, action) => {
      const {
        Log
      } = ctx.orm();

      try {
        await Log.create({
          user_id,
          ip: ctx.ip,
          action: ACTIONS[action]
        });
      } catch (e) {
        console.error(e);
      }
    };

    await next();
  });
}

module.exports = exports.default;